#version 330

in vec4 in_Position;
out float ex_FragWorldPos;

uniform mat4 ModelMatrix;
uniform mat4 ViewMatrix;
uniform mat4 ProjectionMatrix;

void main(void)
{
	gl_Position = (ProjectionMatrix * ViewMatrix * ModelMatrix) * in_Position;
	ex_FragWorldPos = (ModelMatrix * in_Position).y;
}