#version 330

in vec4 in_Position;
in vec4 in_NormalAV;
out vec4 ex_Pos;
out vec4 ex_Normal;

uniform mat4 ModelMatrix;

void main(void)
{
	ex_Pos = (ModelMatrix) * in_Position;
	ex_Normal=  normalize((ModelMatrix) * vec4(in_NormalAV.xyz,0));
	
	
	
}
