#version 330

in vec4 in_Position;
out vec4 ex_Color;
out vec3 ex_TextCord;

uniform mat4 ModelMatrix;
uniform mat4 ProjectionMatrix;

void main(void)
{
	gl_Position = (ProjectionMatrix * ModelMatrix ) * in_Position;
	ex_TextCord= ( in_Position).xyz;
}
